/*
 * =====================================================================================
 *
 *       Filename:  constants.h
 *
 *    Description:  Header for constant values export
 *
 *        Version:  1.0
 *        Created:  24/04/2017 21:06:32
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Jerome Benoit (fraggle), jerome.benoit@piment-noir.org
 *   Organization:  Piment Noir
 *
 * =====================================================================================
 */

#ifndef CONSTANTS_H
#define CONSTANTS_H

#define board_size 8 /* 8 */
//extern const int board_size; /* 8 */

extern const unsigned int empty; /* 0 */
extern const unsigned int black; /* 1 */
extern const unsigned int white; /* 2 */

extern const unsigned int player_one; /* black */
extern const unsigned int player_two; /* white */

extern const unsigned int hint_allowed; /* legal place for a pawn */
extern const unsigned int hint_forbidden; /* illegal place for a pawn */

extern const unsigned int north;
extern const unsigned int north_east;
extern const unsigned int east;
extern const unsigned int south_east;
extern const unsigned int south;
extern const unsigned int south_west;
extern const unsigned int west;
extern const unsigned int north_west;

#endif /* CONSTANTS_H */

